internal::indexer_node_FE< InputTuple, OutputType, StructTypes > Class Template Reference

`#include <_flow_graph_indexer_impl.h>`

Inheritance diagram for internal::indexer_node_FE< InputTuple, OutputType, StructTypes >:
Collaboration diagram for internal::indexer_node_FE< InputTuple, OutputType, StructTypes >:

## Public Types

typedef OutputType | output_type
typedef InputTuple | input_type

## Public Member Functions

| indexer_node_FE ()
input_type & | input_ports ()

## Static Public Attributes

static const int | N = tbb::flow::tuple_size<InputTuple>::value

## Protected Attributes

input_type | my_inputs

## Detailed Description

### template<typename InputTuple, typename OutputType, typename StructTypes>
class internal::indexer_node_FE< InputTuple, OutputType, StructTypes >

Definition at line 153 of file _flow_graph_indexer_impl.h.

## Member Typedef Documentation

## input_type

template<typename InputTuple , typename OutputType , typename StructTypes >

typedef InputTuple internal::indexer_node_FE< InputTuple, OutputType, StructTypes >::input_type

Definition at line 157 of file _flow_graph_indexer_impl.h.

## output_type

template<typename InputTuple , typename OutputType , typename StructTypes >

typedef OutputType internal::indexer_node_FE< InputTuple, OutputType, StructTypes >::output_type

Definition at line 156 of file _flow_graph_indexer_impl.h.

## Constructor & Destructor Documentation

## indexer_node_FE()

template<typename InputTuple , typename OutputType , typename StructTypes >

internal::indexer_node_FE< InputTuple, OutputType, StructTypes >::indexer_node_FE | ( |  | ) |

inline

Definition at line 160 of file _flow_graph_indexer_impl.h.

: my_inputs() {}
internal::indexer_node_FE::my_inputs
input_type my_inputs
Definition: _flow_graph_indexer_impl.h:164

## Member Function Documentation

## input_ports()

template<typename InputTuple , typename OutputType , typename StructTypes >

input_type& internal::indexer_node_FE< InputTuple, OutputType, StructTypes >::input_ports | ( |  | ) |

inline

Definition at line 162 of file _flow_graph_indexer_impl.h.

{ return my_inputs; }

References internal::indexer_node_FE< InputTuple, OutputType, StructTypes >::my_inputs.

Referenced by tbb::flow::interface11::indexer_node< T0 >::indexer_node(), tbb::flow::interface11::indexer_node< T0, T1 >::indexer_node(), tbb::flow::interface11::indexer_node< T0, T1, T2 >::indexer_node(), tbb::flow::interface11::indexer_node< T0, T1, T2, T3 >::indexer_node(), tbb::flow::interface11::indexer_node< T0, T1, T2, T3, T4 >::indexer_node(), tbb::flow::interface11::indexer_node< T0, T1, T2, T3, T4, T5 >::indexer_node(), tbb::flow::interface11::indexer_node< T0, T1, T2, T3, T4, T5, T6 >::indexer_node(), tbb::flow::interface11::indexer_node< T0, T1, T2, T3, T4, T5, T6, T7 >::indexer_node(), tbb::flow::interface11::indexer_node< T0, T1, T2, T3, T4, T5, T6, T7, T8 >::indexer_node(), and tbb::flow::interface11::indexer_node< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 >::indexer_node().

Here is the caller graph for this function:

## Member Data Documentation

## my_inputs

template<typename InputTuple , typename OutputType , typename StructTypes >

input_type internal::indexer_node_FE< InputTuple, OutputType, StructTypes >::my_inputs

protected

Definition at line 164 of file _flow_graph_indexer_impl.h.

Referenced by internal::indexer_node_base< InputTuple, OutputType, StructTypes >::indexer_node_base(), internal::indexer_node_FE< InputTuple, OutputType, StructTypes >::input_ports(), and internal::indexer_node_base< InputTuple, OutputType, StructTypes >::reset_node().

## N

template<typename InputTuple , typename OutputType , typename StructTypes >

const int internal::indexer_node_FE< InputTuple, OutputType, StructTypes >::N = tbb::flow::tuple_size<InputTuple>::value

static

Definition at line 155 of file _flow_graph_indexer_impl.h.

The documentation for this class was generated from the following file:

- _flow_graph_indexer_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.